package org.jeecg.modules.pay.request.v3.labs.accbusifields;

import com.google.gson.Gson;

/**
 * 支付宝支付
 * 账户端业务信息域
 * 交易接口请求
 * 交易接口V3.0下支付类接口
 *
 * @author Mr丶xie
 * @version 1.0.0
 * @mail xielinke@lklink.cn
 */
public class AliPayAccBusiFieldsRequest extends ReqAccBusiFields {

    /**
     * 买家在支付宝的用户id
     * 支付宝的buyer_user_id ,trans_type为41-NATIVE情况下不需要传
     * 为51情况下必须传入
     */
    private String user_id;

    /**
     * 预下单有效时间
     * 预下单的订单的有效时间，以分钟为单位。
     * 如果在有效时间内没有完成付款，则在账户端该订单失效。
     * 如果不上送，以账户端订单失效时间为准。
     * 建议不超过15分钟。不传值则默认5分钟。
     */
    private String timeout_express;

    /**
     * 业务扩展参数
     */
    private AliPayExtendParamsRequest extend_params;

    /**
     * 商品详情
     * 订单包含的商品列表信息，Json格式。
     */
    private AliPayGoodsDetailRequest goods_detail;

    /**
     * 用户付款中途退出返回商户网站的地址
     * transType=81时（即支付宝H5支付），此参数必传
     */
    private String quit_url;

    /**
     * 支付宝的店铺编号
     */
    private String alipay_store_id;

    public String getUser_id() {
        return user_id;
    }

    public void setUser_id(String user_id) {
        this.user_id = user_id;
    }

    public String getTimeout_express() {
        return timeout_express;
    }

    public void setTimeout_express(String timeout_express) {
        this.timeout_express = timeout_express;
    }

    public AliPayExtendParamsRequest getExtend_params() {
        return extend_params;
    }

    public void setExtend_params(AliPayExtendParamsRequest extend_params) {
        this.extend_params = extend_params;
    }

    public String getGoods_detail() {
        return new Gson().toJson(goods_detail);
    }

    public void setGoods_detail(AliPayGoodsDetailRequest goods_detail) {
        this.goods_detail = goods_detail;
    }

    public String getQuit_url() {
        return quit_url;
    }

    public void setQuit_url(String quit_url) {
        this.quit_url = quit_url;
    }

    public String getAlipay_store_id() {
        return alipay_store_id;
    }

    public void setAlipay_store_id(String alipay_store_id) {
        this.alipay_store_id = alipay_store_id;
    }
}
